Subject: bug#19566: (unload-feature 'misearch) breaks isearch

From: Juri Linkov <[email-masked]>
Date: Sun, 11 Jan 2015 22:44:15 +0200

> 	Using unload-feature to unload misearch.el also undefines the
> 	autoloaded variables, which breaks isearch.el as it still uses
> 	them.
>
> 	Please thus consider the patch MIMEd.
>
> 	* lisp/misearch.el (multi-isearch-unload-function): New function
> 	to retain definitions of autoloaded variables when unloading.
> 	(misearch-unload-function): New alias.

Even though I see no way to reproduce the test case which breaks isearch.el
(after unloading, isearch.el just re-loads misearch.el again), I agree that
we definitely should correctly unload them.